.flight-detail-bg {
    padding: 3rem;
}

.flight-detail-title {
    color: #333;
    font-size: 2.5rem;
    margin-bottom: 2rem;
}

.flight-detail-card {
    background-color: #fff;
    padding: 2rem;
    border-radius: 1rem;
    box-shadow: 0px 0px 10px #ccc;
    margin-bottom: 2rem;
}

.flight-detail-subtitle {
    color: #333;
    font-size: 1.5rem;
    margin-bottom: 1rem;
}

.flight-detail-text {
    color: #555;
    font-size: 1.25rem;
    margin-bottom: 1rem;
}

.flight-detail-btn {
    margin-top: 2rem;
    width: 200px;
    margin-top: 40px;
    background: #0911CE;
    border-radius: 4px;
    font-weight: 500;
    font-size: 16px;
    color: #FFFFFF;
    border-style: none;
    padding-top: 15px;
    padding-bottom: 15px;
    padding-left: 40px;
    padding-right: 40px;
}

h3 {

    color: #0911CE;
    font-weight: bold;

}

*,
*:before,
*:after {
    box-sizing: border-box;
}

.cockpit {
    height: 250px;
    position: relative;
    overflow: hidden;
    text-align: center;
    border-bottom: 5px solid #1b1a1a;
}

.cockpit:before {
    content: "";
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    height: 500px;
    width: 100%;
    border-radius: 50%;
    border-right: 5px solid #1b1a1a;
    border-left: 5px solid #1b1a1a;
}


html {
    font-size: 16px;
}

.plane {
    margin: 20px auto;
    max-width: 300px;
}

.exit {
    position: relative;
    height: 50px;
}

.exit:before,
.exit:after {
    content: "EXIT";
    font-size: 14px;
    line-height: 18px;
    padding: 0px 2px;
    font-family: "Arial Narrow", Arial, sans-serif;
    display: block;
    position: absolute;
    background: green;
    color: white;
    top: 50%;
    transform: translate(0, -50%);
}

.exit:before {
    left: 0;
}

.exit:after {
    right: 0;
}

.fuselage {
    border-right: 5px solid #030101;
    border-left: 5px solid #160404;
}


ol {
    list-style: none;
    padding: 0;
    margin: 0;
}

.seats {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: flex-start;
}

.seat {
    display: flex;
    flex: 0 0 14.28571428571429%;
    padding: 5px;
    position: relative;
}

.seat:nth-child(3) {
    margin-right: 14.28571428571429%;
}

.seat input[type=checkbox] {
    position: absolute;
    opacity: 0;
}

.seat input[type=checkbox]:checked+label {
    background: #da5555;
    -webkit-animation-name: rubberBand;
    animation-name: rubberBand;
    animation-duration: 300ms;
    animation-fill-mode: both;
}

.seat input[type=checkbox]:disabled+label {
    background: #dddddd;
    text-indent: -9999px;
    overflow: hidden;
}

.seat input[type=checkbox]:disabled+label:after {
    content: "X";
    text-indent: 0;
    position: absolute;
    top: 4px;
    left: 50%;
    transform: translate(-50%, 0%);
}

.seat input[type=checkbox]:disabled+label:hover {
    box-shadow: none;
    cursor: not-allowed;
}

.seat label {
    display: block;
    position: relative;
    width: 100%;
    text-align: center;
    font-size: 14px;
    font-weight: bold;
    line-height: 1.5rem;
    padding: 4px 0;
    background: #2544f4;
    border-radius: 5px;
    animation-duration: 300ms;
    animation-fill-mode: both;
    color: black;
}

.seat label:before {
    content: "";
    position: absolute;
    width: 75%;
    height: 75%;
    top: 1px;
    left: 50%;
    transform: translate(-50%, 0%);
    background: rgba(255, 255, 255, 0.4);
    border-radius: 3px;
}

.seat label:hover {
    cursor: pointer;
    box-shadow: 0 0 0px 2px #5C6AFF;
}

@-webkit-keyframes rubberBand {
    0% {
        -webkit-transform: scale3d(1, 1, 1);
        transform: scale3d(1, 1, 1);
    }

    30% {
        -webkit-transform: scale3d(1.25, 0.75, 1);
        transform: scale3d(1.25, 0.75, 1);
    }

    40% {
        -webkit-transform: scale3d(0.75, 1.25, 1);
        transform: scale3d(0.75, 1.25, 1);
    }

    50% {
        -webkit-transform: scale3d(1.15, 0.85, 1);
        transform: scale3d(1.15, 0.85, 1);
    }

    65% {
        -webkit-transform: scale3d(0.95, 1.05, 1);
        transform: scale3d(0.95, 1.05, 1);
    }

    75% {
        -webkit-transform: scale3d(1.05, 0.95, 1);
        transform: scale3d(1.05, 0.95, 1);
    }

    100% {
        -webkit-transform: scale3d(1, 1, 1);
        transform: scale3d(1, 1, 1);
    }
}

@keyframes rubberBand {
    0% {
        -webkit-transform: scale3d(1, 1, 1);
        transform: scale3d(1, 1, 1);
    }

    30% {
        -webkit-transform: scale3d(1.25, 0.75, 1);
        transform: scale3d(1.25, 0.75, 1);
    }

    40% {
        -webkit-transform: scale3d(0.75, 1.25, 1);
        transform: scale3d(0.75, 1.25, 1);
    }

    50% {
        -webkit-transform: scale3d(1.15, 0.85, 1);
        transform: scale3d(1.15, 0.85, 1);
    }

    65% {
        -webkit-transform: scale3d(0.95, 1.05, 1);
        transform: scale3d(0.95, 1.05, 1);
    }

    75% {
        -webkit-transform: scale3d(1.05, 0.95, 1);
        transform: scale3d(1.05, 0.95, 1);
    }

    100% {
        -webkit-transform: scale3d(1, 1, 1);
        transform: scale3d(1, 1, 1);
    }
}

.rubberBand {
    -webkit-animation-name: rubberBand;
    animation-name: rubberBand;
}

.submitButton {
    width: 20%;
    margin-top: 40px;
    background: #0911CE;
    border-radius: 4px;
    font-weight: 500;
    font-size: 16px;
    color: #FFFFFF;
    border-style: none;
    padding-top: 15px;
    padding-bottom: 15px;
}